import type { GameLoop, RouteList } from "..";
import { ComponentList } from "../utils";
import { World } from "@rbxts/matter";
export default class MatterReplication {
    private readonly loop;
    private readonly world;
    private readonly routes;
    private readonly components;
    private readonly serverSyncer;
    private readonly clientSyncer;
    private readonly replicationRoute;
    private sendInitialPayload;
    constructor(loop: GameLoop, world: World, routes: RouteList, components: ComponentList);
    setupReplication(): void;
}
